Skip to main content
`Ctrl`+`K`

# DMLabelGetStratumIS

Get an `IS` with the stratum points

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetStratumIS(DMLabel label, PetscInt value, IS *points)

Not Collective

## Input Parameters

- label - the `DMLabel`

- value - the stratum value

## Output Parameter

- points - The stratum points

## Notes

The output `IS` should be destroyed when no longer needed. Returns `NULL` if the stratum is empty.

## See Also

`DMLabel`, `DM`, `DMLabelCreate()`, `DMLabelGetValue()`, `DMLabelSetValue()`, `DMLabelClearValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/snes/tutorials/ex13.c
src/tao/tutorials/ex3.c

## Implementations

DMLabelGetStratumIS_Ephemeral() in src/dm/label/impls/ephemeral/dmlabeleph.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages